# $Revision: 1.20 $, $Date: 2009/09/23 06:17:35 $
Summary:	bitmap applications - bitmap editor and converter utilities
Summary(pl.UTF-8):	Aplikacje bitmap - narzędzia do modyfikowania i konwersji bitmap
Name:		xorg-app-bitmap
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/bitmap-%{version}.tar.bz2
# Source0-md5:	7d0c1ac193be2491c72a91ccf37ef18e
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-data-xbitmaps
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 0.99.2
# for dirs (only???)
Requires:	xorg-data-xbitmaps
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The bitmap program is a rudimentary tool for creating or editing
rectangular images made up of 1's and 0's. Bitmaps are used in X for
defining clipping regions, cursor shapes, icon shapes, and tile and
stipple patterns.

The bmtoa and atobm filters convert bitmap files to and from ASCII
strings. They are most commonly used to quickly print out bitmaps and
to generate versions for including in text.

%description -l pl.UTF-8
Program bitmap to podstawowe narzędzie do tworzenia i modyfikowania
prostokątnych obrazów złożonych z jedynek i zer. Bitmapy są używane
przez X do definiowania obszarów przycinania, kształtów kursorów,
kształtów ikon oraz wzorów kafli i punktowania.

Filtry bmtoa i atobm przekształcają pliki bitmap do i z łańcuchów
ASCII. Są najczęściej używane do szybkiego wypisywania bitmap i
generowania wersji do włączenia w tekst.

%prep
%setup -q -n bitmap-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/atobm
%attr(755,root,root) %{_bindir}/bitmap
%attr(755,root,root) %{_bindir}/bmtoa
%{_datadir}/X11/app-defaults/Bitmap*
%{_includedir}/X11/bitmaps/*
%{_mandir}/man1/atobm.1x*
%{_mandir}/man1/bitmap.1x*
%{_mandir}/man1/bmtoa.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-bitmap.spec,v $
Revision 1.20  2009/09/23 06:17:35  arekm
- up to 1.0.4

Revision 1.19  2008/11/11 16:19:18  arekm
- rel 4; fix build

Revision 1.18  2008/11/07 20:50:48  arekm
- release 3

Revision 1.17  2008/08/18 19:42:11  megabajt
- release 2

Revision 1.16  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2007/01/27 17:11:08  qboosh
- real descs from man

Revision 1.13  2007/01/24 07:06:32  arekm
- up to 1.0.3

Revision 1.12  2006/10/15 09:44:42  qboosh
- more verbose files, release 1

Revision 1.11  2006/05/26 18:45:21  qboosh
- updated to 1.0.2

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/10 13:14:12  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/08 15:54:07  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 12:33:32  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:17  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 15:45:51  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added BR: libXaw-devel
- removed redundant BR: libXmu-devel

* Sat Aug 13 2005 15:33:35  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- added bitmap-man.patch
- defined %%{_prefix} and %%{_mandir}
- added BR: libXmu-devel
- removed redundant BR: libX11-devel
- release 0.02

* Sun Aug  7 2005 15:59:54  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
